﻿using DontHarmDesktop.Models;
using Prism.Commands;
using Prism.Mvvm;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DontHarmDesktop.ViewModels
{
    class ServicesViewModel : BindableBase
    {
        public List<services> Services { get; set; }
        public DelegateCommand AddServiceCmd { get; set; }
        public DelegateCommand EditServiceCmd { get; set; }
        public Models.services SelectedService { get; set; }

        public ServicesViewModel()
        {
            var db = new Models.Entities();

            // Сбор услуг, которые не скрыты
            Services = db.services.Where(s => s.hidden == false).ToList();

            AddServiceCmd = new DelegateCommand(AddServiceExecuted);
            EditServiceCmd = new DelegateCommand(EditServiceExecuted);
        }

        /// <summary>
        /// Переходит к странице добавления
        /// </summary>
        private void AddServiceExecuted()
        {
            Navigation.toServiceAdd();
        }

        /// <summary>
        /// Редактирует услугу
        /// </summary>
        private void EditServiceExecuted()
        {
            Navigation.toServiceEdit(SelectedService);
        }
    }
}
